<%@ Page Title="" Language="C#" MasterPageFile="~/PatientAccess/PAAdmin/AdminBase.Master" AutoEventWireup="true" CodeBehind="HTMLEditor.aspx.cs" Inherits="Axium.Web.PAAdmin.v2.Settings.HTMLEditor" %>
<asp:Content ID="Content1" ContentPlaceHolderID="Header" runat="server">
    <script type="text/javascript" src="../../tinymce/jscripts/tiny_mce/tiny_mce.js"></script> 
    <script type="text/javascript" language="javascript">

        function resizeWindow() {
            var winW = $(window).width();
            var winH = $(window).height();

            var elmt = $(".mceLayout");
            elmt.width(winW - 10);
            elmt.height(winH - 55);
        }

        $(document).ready(function () {

            tinyMCE.init({
                mode: "textareas",
                theme: "advanced",
                relative_urls: false,
                setup: function (ed) {
                    ed.onLoadContent.add(function () {
                        resizeWindow();
                    });
                }
            });

            window.onresize = function () {
                resizeWindow();
            };
        });
    </script>
</asp:Content>

<asp:Content ID="Content2" ContentPlaceHolderID="Container" runat="server">
    <div class="headerRow">
        <span class="saveButton">
            <asp:Button ID="SaveBtn" runat="server" Text="Save" CssClass="ButtonGreen" onclick="SaveBtn_Click"/>
        </span>
        <span class="closeButton">
            <asp:Button ID="CloseBtn" runat="server" Text="Close" onClientClick="window.close()" CssClass="ButtonGrey" />
        </span>
    </div>
    <div class="contentRow">
        <asp:TextBox ID="ContentEditTextBox" TextMode="MultiLine" runat="server" Height="600px" Width="720px"></asp:TextBox>    
    </div>
</asp:Content>
